export GOPATH=$PWD
export PATH=$PATH:$PWD/bin
export GOBIN=$PWD/bin
export RPC_PATH=$PWD/neuralnetwork/remotecontrol

go get github.com/golang/protobuf/protoc-gen-go
go install ./src/github.com/golang/protobuf/protoc-gen-go

mkdir -p $RPC_PATH
rm -f $RPC_PATH/*.pb.go
protoc -I$RPC_PATH --go_out=plugins=grpc:$RPC_PATH $RPC_PATH/remotecontrol.proto


pushd neuralnetwork

go get -v
go build -o $GOBIN/neuralnetwork
pushd $GOPATH/neuralnetwork/neuralnetwork/
go test -v -cover
popd
popd
# go test -cover

export SNAKE_RPC_PATH=$PWD/snakesimulator/snakesimulator
mkdir -p $SNAKE_RPC_PATH
rm -f $SNAKE_RPC_PATH/*.pb.go
protoc -I$SNAKE_RPC_PATH --go_out=plugins=grpc:$SNAKE_RPC_PATH $SNAKE_RPC_PATH/snakesimulator.proto
pushd snakesimulator
go build -o $GOBIN/snakesimulator
popd